
html, body {
  background-color: #f4f4f4;
  height: 100%;
}

.wrapper {
  min-height: 100%;
  height: auto !important;
  height: 100%;
  margin: 0 auto -100px;
}

@font-face {
  font-family: 'Cisco_Glyphicons_EZ_Tool';
  src: url('../fonts/Cisco_Glyphicons_EZ_Tool.eot'), url('../fonts/Cisco_Glyphicons_EZ_Tool.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

[class^="icon2-"], [class*=" icon2-"] {
  font-family: 'Cisco_Glyphicons_EZ_Tool' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon2-Customers:before {
  content: "\e604";
}

.icon2-General:before {
  content: "\e605";
}

.icon2-Question:before {
  content: "\e606";
}

.icon2-Download:before {
  content: "\e600";
}

.icon2-Email:before {
  content: "\e601";
}

.icon2-Wizard:before {
  content: "\e602";
}

@font-face {
  font-family: 'Cisco_ToolkitCore_Glyphicons';
  src: url('../fonts/Cisco_ToolkitCore_Glyphicons.eot'), url('../fonts/Cisco_ToolkitCore_Glyphicons.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

[class^="icon-"], [class*=" icon-"] {
  font-family: 'Cisco_ToolkitCore_Glyphicons' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-Cisco_Logo:before {
  content: "\e604";
}

.icon-home:before {
  content: "\e600";
}

.icon-Back:before {
  content: "\e602";
}

.icon-Info:before {
  content: "\e601";
}

.icon-Error:before {
  content: "\e605";
}

.icon-Warning:before {
  content: "\e603";
}

.icon-Help:before {
  content: "\e606";
}

.icon-Check:before {
  content: "\e60d";
}

.icon-Settings:before {
  content: "\e60e";
}

.icon-Star:before {
  content: "\e60f";
}

.icon-Search:before {
  content: "\e610";
}

.icon-Remove:before {
  content: "\e611";
}

.icon-Plus:before {
  content: "\e612";
}

.icon-ChevronUp:before {
  content: "\e607";
}

.icon-ChevronDown:before {
  content: "\e608";
}

.icon-ChevronLeft:before {
  content: "\e609";
}

.icon-ChevronRight:before {
  content: "\e60a";
}

.icon-ArrowUp:before {
  content: "\e60b";
}

.icon-Arrow_Down:before {
  content: "\e613";
}

.icon-Arrow_Right:before {
  content: "\e60c";
}

.icon-Hamburger_Menu:before {
  content: "\e614";
}

.icon-Close:before {
  content: "\e615";
}

.form-view {
  padding-left:30px;
}

#stepsFlow h6.icon-Check:before, #stepsFlow h6.icon-Warning:before {
  font-size: 14px;
  position: absolute;
  left: 10px;
  margin-top: -1px;
}

.form-view .input-group {
  max-width:350px;
  margin-bottom: 10px;
}

.form-view .row {
  margin-top:5px;
}

.form-view .header-row {
  margin-top:30px;
}

.page-header {
  margin-top:0px;
}

.navbar {
  margin-bottom: 0px;
  height: 70px;
  padding-top: 10px;
}

#processFlow {
  width: 250px;
}

#processFlow .icon-Check:before {
  color: #00BB4E;
  font-size: 15px;
}

#processFlow .icon-Warning:before {
  color: #FF4A00;
  font-size: 17px;
}

#processFlow a {
  padding-left:40px !important;
}

#processFlow .icon:before {
  position: absolute;
  left: 15px;
  top: 10px;
}

#processFlow .list-group-item {
  padding-left: 30px;
}

#processFlow .inactive {
  opacity: 0.65;
  filter: alpha(opacity=65);
}

#processFlow .inactive:hover {
  background-color: #FFF;
  cursor: default;
}

.tool-main {
  margin-left:5px;
  margin-right:15px;
  margin-top: 60px;
  margin-bottom: 50px;
}

.page-header {
  margin-bottom: 0px;
}

.page-header h2 {
  margin-left:30px;
}

.cisco-navbar .icon-Cisco_Logo {
  font-size:38px;
  margin-left: 40px !important;
  margin-top:5px;
  color: #666;
}

#stepsFlow h4 {
  margin-left:30px;
  margin-top:0px;
  display: block !important;
}

#stepsFlow h4 small {
  font-size:13px;
}

#stepsFlow h6.icon a, #stepsFlow h6.icon small {
  font-family: "CiscoSansTT Light" !important;
}

#stepsFlow h6 {
  line-height: 1.2 !important;
  margin-top: 0px;
  margin-left: 8px;
  font-weight: normal;
}

.stepsBox {
  width:220px;
  padding-left: 50px;
  background-color:#FFF;
  border-radius: 6px;
  border:1px solid #e5e5e5;
  padding-top: 15px;
  margin-top:70px;
  margin-left: 20px;
}

.row {
  margin-right: 10px;
}

body>.row, .wrapper>.row {
  margin-right: 0px;
}

.cisco-navbar {
  padding-right:0px;
}

#stepsFlow .icon-Check:before, #stepsFlow .icon-Warning:before {
  position: absolute;
  left: 8px;
  color:#00BB4E;
}

#stepsFlow .icon-Warning:before {
  color:#FF4A00;
}

#todosView .icon-Check:before {
  margin-right: 10px;
}

.col-md-3>h5 {
  color:#00BB4E;
}

.footer-left, .footer-right {
  float: left;
  height: 55px;
  width: 33%;
  margin: 0px;
  border-top: 1px solid #DADADA;
  padding-right: 5px;
  text-align: center;
  padding-top: 3px;
}

.footer-left {
  border-right: 1px solid #DADADA;
}

h4 ol li {
  margin-top: 7px;
}

h2 small, h3 small, h4 small, h5 small, h6 small {
  color: #666;
  font-size: 14px;
  line-height: 20px;
}

h4 small li {
  margin-top: 7px;
}

h2, .h2 {
  font-size: 26px;
}

h3, .h3 {
  font-family: "CiscoSansTT Extra Light";
  font-weight: normal;
}

.page-header h2 {
  font-size: 30px;
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  -webkit-font-smoothing: antialiased;
}

.page-header {
  border-bottom: none;
}

.footer-left .icon2-Download, .footer-right .icon2-Email {
  font-size: 28px;
  color: #666;
  position: relative;
  top: 5px;
}

.footer-right .icon2-Email {
  font-size:25px;
}

.footer-left h5 {
  margin-top: 0px;
}

.footer-right h5 {
  margin-top: 3px;
}

.footer-left a, .footer-right a {
  position: relative;
  top: 0px;
  margin-left: 0px;
  line-height: 20px;
}

.user-name {
  text-align: right;
  text-overflow: ellipsis;
  overflow: hidden;
  cursor: pointer;
}

.mf-down, .mf-up, .mf-restart, .mf-inspect,
.mf-remove, .mf-remove-disable, .mf-recreate-parent {
  font-size: 25px;
  margin-left: 10px;
  margin-top: 5px;
  cursor: pointer;
}

.mf-remove-disable {
  cursor: default;
  color: #F0F0F0;
}

.mf-inspect {
  color: #31708f;
}

.mf-restart, .mf-recreate-parent {
  color: orange;
}

.mf-recreate-parent {
  width:25px;
}

.mf-recreate {
  font-size: 15px;
  position: relative;
  top: -5px;
  left: -21px;
  transform: rotate(-94deg);
}

.mf-down {
  color: #B0B0B0;
}

.mf-up {
  color: green;
}

.mf-remove {
  color: #FF4A00;
}

.mf-loginfo {
  font-size: 16px;
  margin-left: 10px;
  margin-top: 5px;
  cursor: pointer;
  color: #31708f;
}

.dialog-cancel-button {
  margin-right:20px;
  width:100px;
}

.popupLogs {
  white-space: pre;
  font-size: 10px;
  display: block;
  max-height: 450px;
  overflow: auto;
}

.mfpane {
  font-size: 11px;
  background-color: #FFF;
  min-width:850px
}

.nav > li:focus, .nav > li:active, .nav > li.active {
  z-index: 1000;
}

#provisioningDetailsTitle {
  color:blue;
  cursor: pointer;
}

#provisioningDetailsTitle:hover {
  text-decoration: underline;
}

#provisioningDetails {
  display:none;
  padding-left: 25px;
  white-space: pre;
  font-size: 11px;
  display: block;
  float: left;
  background-color: #FFF;
  max-height: 650px;
  width:400px;
  overflow: auto;
  resize: both;
}

.dropdown {
  float:right;
  cursor: pointer;
}

.dropdown-menu {
  min-width:0px;
  width: 100px;
}

.dropdown-menu > li > a {
  line-height:1;
}

.dialog-warning {
  color: #FF4A00;
  font-size: 20px;
  top: 3px;
  position: relative;
  margin-right: 5px;
}

.checks-list {
  width: 350px;
  line-height: 28px;
  list-style-type: none;
  font-size: 16px;
  margin: auto;
}

.checks-list li {
  height: 30px;
}

#todosView .checks-list {
  width: 330px;
}

#deviceStatus {
  font-family: "CiscoSansTT Light","Helvetica Neue",Helvetica,Arial,sans-serif;
  min-height: 250px;
}

.status-details {
  white-space: normal;
}

.status-details div {
  font-size: smaller;
}

.device-status-value {
  float:left;
  width: 18px;
}

.device-status-icon {
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #f40325;
  float: left;
  position: relative;
  top: 5px;
}

.device-status-text {
  float:left;
  margin-left:10px;
}

.error-title {
  width: 100%;
  text-align: center;
  height: 40px;
  background-color: #f6473f;
  padding-top: 8px;
  font-size: 18px;
}

.error-details {
  font-size:15px;
  margin: 0 30px 0 30px;
}

#registerText, #postRegisterText {
  font-size: 16px;
  text-align: center;
  margin: 33px auto;
  padding-bottom: 0px;
  display:none;
  font-family: "CiscoSansTT Light", "Helvetica Neue", Helvetica, Arial, sans-serif;
  color: #6a6b6c;
}

#postRegisterText, #registerDetails {
  font-family: "CiscoSansTT Light", "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 16px;
  font-weight: 400;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.5;
  text-align: center;
  color: #6a6b6c;
  margin-top: 56px;
  padding-bottom: 30px;
}

.icon-spinner {
  font-size: 2rem;
  border: 1px solid #aaa;
  border-radius: 50%;
  width: 1em;
  height: 1em;
  position: relative;
  margin: 2px;
  display: inline-block;
}

.icon-spinner:after {
  content: "";
  position: absolute;
  border-radius: 50%;
  width: calc(1em + 2px);
  height: calc(1em + 2px);
  text-indent: -9999em;
  border-top: 2px solid transparent;
  border-right: 2px solid transparent;
  border-bottom: 2px solid transparent;
  border-left: 2px solid #3ca8e8;
  -webkit-animation: load8 1s infinite linear;
  animation: load8 1s infinite linear;
  top: -2px;
  left: -2px;
}

@-webkit-keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/*------------------- New Styles ----------------------------*/

p {
  font-family: "CiscoSansTT Extra Light","Helvetica Neue",Helvetica,Arial,sans-serif;
}

.messagebox {
  position: relative;
  border-radius: 12px;
  background-color: rgb(255,255,255);
  color: #909090;
  margin: 0 auto;
  margin-top: 96px;
  font-family: "CiscoSansTT Extra Light","Helvetica Neue",Helvetica,Arial,sans-serif;
  font-style: normal;
  font-weight: 400;
  overflow: hidden; /* otherwise .messagebox-content top margin goes out of .messagebox */
  box-shadow: 0 1px 3px 0 rgba(0,0,0,.18);
}

.messagebox-content {
  width: 80%;
  text-align: center;
  margin: 30px auto;
  font-size: 12px;
  line-height:22px;
}

.messagebox-header {
  margin-bottom: 0;
  font-family: "CiscoSansTT Extra Light","Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 20px;
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.33;
  text-align: center;
  height: auto;
  padding-top: 0px;
  margin-top: 18px;
}

.icon-spinner-container {
  width: 55px;
  margin: 15px auto;
  margin-bottom: 8px;
  margin-top: 56px;
}

.deviceCheckMessage-header {
  color: #6a6b6c;
  font-size: 14px;
}

#deviceCheckMessage {
  padding-top: 16px;
  padding-bottom: 120px;
}

#preregisterSetupDetails {
  font-size: 16px;
  padding-bottom: 120px;
  font-family: "CiscoSansTT Light", "Helvetica Neue", Helvetica, Arial, sans-serif;
  color: #6a6b6c;
}

.statusMessage-container {
  width: 225px;
  height: 35px;
  margin: 0 auto;
  text-align: center;
  margin-top: 16px;
}

.statusDetails-container {
  margin: 0 auto;
  /*padding-bottom: 20px; might still need this? */
}

#statusMessage, #statusDetails {
  font-family: "CiscoSansTT Light","Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 16px;
  font-weight: 400;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.5;
  text-align: center;
  color: #6a6b6c;
  margin-top: 12px;
}

#statusDetails, #setupDetails {
  font-size: 16px;
  height: 120px;
  font-weight: 400;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.71;
  text-align: center;
  color: #6a6b6c;
  margin-top: 12px;
  height: auto;
}

.retryButton-container {
  margin-top: 30px;
}

#retryButton {
  display: none;
}

#deviceCheckResult {
  margin-top:30px;
  text-align: left;
  color: #333;
}

#deviceCheckResult h4 {
  margin-top: 12px;
  font-size: 16px;
}

.error-details {
  font-size: 14px;
  color: #6a6b6c;
  width: 350px;
  padding-top: 10px;
  margin: auto;
}

.line {
  width: 80%;
  border: solid 0.5px #d7d7d8;
  margin-top: 40px;
}

.modal-ok-cancel-container {
  width: 100%;
  text-align: center;
  margin-top: 20px;
}

.retry-message {
  font-size: 13px;
  color: #aeaeaf;
  margin-top: 0px;
  margin-left: 30px;
}

/* To disable default hover behavior */
.no-hover:hover {
  text-decoration:none;
  font-weight:normal;
  color: #049fd9;
}

a, .testtip {
  color: #049fd9;
}

.testtip:hover, .testtip:focus, .registration-error-details {
  color: #0078a9;
  text-decoration: underline;
}

.testtip {
  position: relative;
  display: inline-block;
  margin-left: 10px;
  font-size: 12px;
}

.testtip .testtiptext {
  visibility: hidden;
  position: absolute;
  z-index: 1;
  top: -5px;
  left: 105%;
  color: #fff;
  background: #666;
  border-radius: 4px;
  padding: 4px 8px;
  width: 550px;
  z-index: 1006;
  left: 50%;
  box-shadow: 0 1px 3px 0 rgba(41,41,41,.25);
  opacity: .96!important;
  white-space: normal;
  font-size: 14px;
  overflow-y: auto;
}

@media only screen and (max-width: 64.0625em) {
  .testtip .testtiptext {
    width: 284px;
  }
}

@media only screen and (min-width: 64.0625em) and (max-width: 90.0625em) {
  .testtip .testtiptext {
    width: 414px;
  }
}

.testtip:hover .testtiptext {
  visibility: visible;
}

.modal-html {
  font-size: 14px;
  line-height: 22px;
}

.title-logo {
  color: #000000;
  width: 300px;
  text-align: center;
  line-height: 30px;
  font-size: 26px;
  margin-top: 100px;
  margin-bottom: 10px;
}

.title-logo .thin-webex {
  font-size: 32px;
  font-family: "CiscoSansTT Extra Light","Helvetica Neue",Helvetica,Arial,sans-serif;
}

.title-logo .thick-cisco {
  font-size: 32px;
  font-family: "CiscoSansTT Regular","Helvetica Neue",Helvetica,Arial,sans-serif;
  font-weight:bold;
}

.title-logo .logo-subtitle {
  display: block;
  margin-top: 28px;
  margin-bottom: 28px;
}

.md-panel--full {
  height: unset;
}

@media only screen and (min-width: 40.0625em) {
  .md-panel {
      padding-top: 3rem;
  }
}

#react-aria-modal-dialog {
  width: 600px;
}

.md-modal__title {
  white-space: pre-line !important;
}

.md-panel__footer {
  align-items: center;
  display: block;
}

.md-panel__footer .footer__logo {
  font-size: 3.3rem;
  max-height: unset;
  color: #000000;
  opacity: 0.6;
  padding-bottom: 12px;
}

.md-panel__footer a {
  color: #049fd9;
}

.footer__copyright {
  font-size: 12px;
}

label[class*="md-"], input[class*="md-"] {
  font-size: 14px;
}

.md-modal__body .md-input-group {
  margin: auto;
  padding-left: 5px;
  padding-right: 5px;
}

.registration-error-details {
  font-size: 16px;
  cursor: pointer;
}